## mod gearman-4.0.5.20221217

=== debian/changelog ===
mod-gearman (4.0.5.20221217) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Sat, 17 Dec 2022 03:52:10 +0100

=== debian/control ===
Source: mod-gearman
Section: net
Priority: extra
Maintainer: Sven Nierlein <sven.nierlein@consol.de>
Build-Depends: debhelper (>= 10), automake, libtool, libgearman-dev (>= 1.1), libncurses5-dev,
               libltdl-dev, gearman-job-server, help2man, dctrl-tools, libperl-dev, gearman-tools,
               naemon-dev, pkg-config, libssl-dev, openssl
Standards-Version: 3.9.1
Homepage: http://labs.consol.de/nagios/mod-gearman/

Package: mod-gearman-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for Mod Gearman
 This package contains documentation to the
 mod-gearman-module and mod-gearman-worker packages.

Package: mod-gearman-module
Architecture: any
Depends: ${misc:Depends}, naemon-core, libc6, openssl
Description: Event broker module to distribute service checks.
 Event broker module for Naemon. This module adds
 servicechecks, hostchecks and eventhandlers to a queue on a Gearman
 job server.
 .
 There can be multiple equal gearman job servers.

Package: mod-gearman-worker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl
Description: Worker agent for mod-gearman
 The worker agent for mod-geraman connects to a gearman job server,
 runs active Naemon service checks, and return the results.
 .
 The agent can ask for any available check, or it can be bound to
 specific hostgroups or servicegroups.
 .
 This package also includes a set of extra tools to send check results
 to Naemon via a gearman server, and a plugin to monitor the gearman
 job server itself.

Package: mod-gearman-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl
Description: Tools for mod-gearman
 The Mod Gearman package contains tools to complement a mod gearman
 installation.
 .
 Such tools include:
 .
  - check_gearman - Naemon service check to monitor the gearman job
    server
  - gearman_top - Monitor the gearman job server
  - send_gearman - Submit active and passive check results to a
    gearman job server
  - send_multi - Submit check results from the check_multi to a gearman
    job server
  - mod_gearman_mini_epn - mini epn tester

## mod gearman-4.0.5.20221221

=== debian/changelog ===
mod-gearman (4.0.5.20221221) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Wed, 21 Dec 2022 01:42:48 +0100

## mod gearman-4.0.5.20221223

=== debian/changelog ===
mod-gearman (4.0.5.20221223) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Fri, 23 Dec 2022 04:23:28 +0100

## mod gearman-5.0.0

=== debian/changelog ===
mod-gearman (5.0.0) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Wed, 11 Jan 2023 11:50:56 +0100

## mod gearman-5.0.1

=== debian/changelog ===
mod-gearman (5.0.1) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Fri, 27 Jan 2023 16:21:52 +0100

## mod gearman-5.0.1.20230113

=== debian/changelog ===
mod-gearman (5.0.1.20230113) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Fri, 13 Jan 2023 04:21:46 +0100

## mod gearman-5.0.2.20230204

=== debian/changelog ===
mod-gearman (5.0.2.20230204) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Sat, 04 Feb 2023 02:50:49 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_VERSION := $(shell dpkg-parsechangelog --format rfc822 | grep-dctrl -ensVersion -S .)

DH_VERBOSE=1

%:
	dh $@

override_dh_installinit:
	true

override_dh_clean:
	rm -f compile depcomp install-sh missing
	rm -f extras/gearmand-init
	dh_clean

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --localstatedir=/var/lib --enable-embedded-perl
	make clean

override_dh_auto_install:
	dh_auto_install
	sed -e 's%/var/lib/log/mod_gearman/%/var/log/mod-gearman/%' -i debian/tmp/etc/mod_gearman/*.conf
	cp worker/mod_gearman_p1.pl debian/tmp/usr/share/mod_gearman/mod_gearman_p1.pl
	rm -f debian/mod-gearman/usr/share/mod_gearman/shared.conf
	rm -f debian/mod-gearman/usr/share/mod_gearman/standalone_worker.conf
	rm -f debian/mod-gearman/etc/init.d/mod-gearman-worker

	help2man --no-info --section=8 --version-string="mod_gearman_worker $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Agent that runs active checks from a gearman queue" \
                $(CURDIR)/debian/tmp/usr/bin/mod_gearman_worker \
                > $(CURDIR)/debian/mod_gearman_worker.8

	help2man --no-info --section=8 --version-string="check_gearman $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Naemon service check to monitor the gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/check_gearman \
                > $(CURDIR)/debian/check_gearman.8

	help2man --no-info --section=8 --version-string="send_gearman $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Submit active and passive check results to a gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/send_gearman \
                > $(CURDIR)/debian/send_gearman.8

	help2man --no-info --section=8 --version-string="gearman_top $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Monitor the gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/gearman_top \
                > $(CURDIR)/debian/gearman_top.8

	help2man --no-info --section=8 --version-string="send_multi $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Submit check results from check_multi to a gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/send_multi \
                > $(CURDIR)/debian/send_multi.8

	help2man --no-info --section=8 --version-string="mod_gearman_mini_epn $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Monitor the gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/mod_gearman_mini_epn \
                > $(CURDIR)/debian/mod_gearman_mini_epn.8

override_dh_auto_test:

## mod gearman-5.0.3.20230221

=== debian/changelog ===
mod-gearman (5.0.3.20230221) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Tue, 21 Feb 2023 04:37:26 +0100

mod-gearman (5.0.2) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Sun, 05 Feb 2023 19:05:32 +0100

## mod gearman-5.0.3.20230302

=== debian/changelog ===
mod-gearman (5.0.3.20230302) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Thu, 02 Mar 2023 03:44:37 +0100

## mod gearman-5.0.3.20230305

=== debian/changelog ===
mod-gearman (5.0.3.20230305) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Sun, 05 Mar 2023 04:42:10 +0100

## mod gearman-5.0.3.20230307

=== debian/changelog ===
mod-gearman (5.0.3.20230307) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Tue, 07 Mar 2023 04:43:37 +0100

## mod gearman-5.1.2

=== debian/changelog ===
mod-gearman (5.1.2) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Thu, 29 Jun 2023 11:02:49 +0200

mod-gearman (5.1.1) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Wed, 21 Jun 2023 14:57:54 +0200

mod-gearman (5.1.0) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Wed, 08 Mar 2023 08:24:44 +0100

## mod gearman-5.1.2.20230624

=== debian/changelog ===
mod-gearman (5.1.2.20230624) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Sat, 24 Jun 2023 04:46:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	rm -f debian/mod-gearman/usr/share/mod_gearman/shared.conf
 	rm -f debian/mod-gearman/usr/share/mod_gearman/standalone_worker.conf
 	rm -f debian/mod-gearman/etc/init.d/mod-gearman-worker
+	mkdir -p debian/tmp/run/mod-gearman-worker
 
 	help2man --no-info --section=8 --version-string="mod_gearman_worker $(DEB_VERSION)" \
 		--help-option=-h --include=$(CURDIR)/debian/help2man.include \

## mod gearman-5.1.2.20230626

=== debian/changelog ===
mod-gearman (5.1.2.20230626) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Mon, 26 Jun 2023 18:04:42 +0200

## mod gearman-5.1.2.20230627

=== debian/changelog ===
mod-gearman (5.1.2.20230627) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Tue, 27 Jun 2023 16:39:56 +0200

## mod gearman-5.1.2.20230628

=== debian/changelog ===
mod-gearman (5.1.2.20230628) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Wed, 28 Jun 2023 04:43:29 +0200

## mod gearman-5.1.3

=== debian/changelog ===
mod-gearman (5.1.3) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Tue, 17 Oct 2023 23:32:21 +0200

## mod gearman-5.1.3.20230906

=== debian/changelog ===
mod-gearman (5.1.3.20230906) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Wed, 06 Sep 2023 04:40:21 +0200

## mod gearman-5.1.4

=== debian/changelog ===
mod-gearman (5.1.4) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Wed, 28 Aug 2024 09:55:19 +0200

## mod gearman-5.1.4.20231215

=== debian/changelog ===
mod-gearman (5.1.4.20231215) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Fri, 15 Dec 2023 05:36:14 +0100

## mod gearman-5.1.4.20240225

=== debian/changelog ===
mod-gearman (5.1.4.20240225) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Sun, 25 Feb 2024 00:35:59 +0100

## mod gearman-5.1.4.20240226

=== debian/changelog ===
mod-gearman (5.1.4.20240226) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Mon, 26 Feb 2024 00:35:29 +0100

## mod gearman-5.1.4.20240508

=== debian/changelog ===
mod-gearman (5.1.4.20240508) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Wed, 08 May 2024 03:04:54 +0200

## mod gearman-5.1.5.20240913

=== debian/changelog ===
mod-gearman (5.1.5.20240913) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Fri, 13 Sep 2024 05:49:14 +0200

## mod gearman-5.1.5.20241105

=== debian/changelog ===
mod-gearman (5.1.5.20241105) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Tue, 05 Nov 2024 05:17:32 +0100

## mod gearman-5.1.8

=== debian/changelog ===
mod-gearman (5.1.8) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Sun, 16 Feb 2025 23:14:59 +0100

mod-gearman (5.1.7) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Mon, 18 Nov 2024 13:24:08 +0100

mod-gearman (5.1.6) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Wed, 13 Nov 2024 16:33:14 +0100

mod-gearman (5.1.5) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Wed, 06 Nov 2024 16:40:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sven Nierlein <sven.nierlein@consol.de>
 Build-Depends: debhelper (>= 10), automake, libtool, libgearman-dev (>= 1.1), libncurses5-dev,
                libltdl-dev, gearman-job-server, help2man, dctrl-tools, libperl-dev, gearman-tools,
-               naemon-dev, pkg-config, libssl-dev, openssl
+               naemon-dev (>= 1.4.3), pkg-config, libssl-dev, openssl
 Standards-Version: 3.9.1
 Homepage: http://labs.consol.de/nagios/mod-gearman/
 
@@ -18,7 +18,7 @@
 
 Package: mod-gearman-module
 Architecture: any
-Depends: ${misc:Depends}, naemon-core, libc6, openssl
+Depends: ${misc:Depends}, naemon-core (>= 1.4.3), libc6, openssl
 Description: Event broker module to distribute service checks.
  Event broker module for Naemon. This module adds
  servicechecks, hostchecks and eventhandlers to a queue on a Gearman

## mod gearman-5.1.9.20250507

=== debian/changelog ===
mod-gearman (5.1.9.20250507) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Wed, 07 May 2025 03:57:23 +0200

## mod gearman-5.2.2.20260125

=== debian/changelog ===
mod-gearman (5.2.2.20260125) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Sun, 25 Jan 2026 20:00:38 +0100

mod-gearman (5.2.1) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Fri, 12 Dec 2025 13:49:23 +0100

mod-gearman (5.2.0) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Mon, 24 Nov 2025 14:12:39 +0100

mod-gearman (5.1.9) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Tue, 03 Jun 2025 14:45:37 +0200

## mod gearman-5.2.2.20260126

=== debian/changelog ===
mod-gearman (5.2.2.20260126) UNRELEASED; urgency=low

  * new upstream release

 -- Consol Monitoring Team <monitoring-team@consol.de>  Mon, 26 Jan 2026 00:33:27 +0100

## mod gnutls-0.6

=== docs/Makefile ===
TARGETS = $(foreach x,pdf html,mod_gnutls_manual.$(x))
all: $(TARGETS)

mod_gnutls_manual.%: mod_gnutls_manual.mdwn
	pandoc --toc --standalone -f markdown -o $@ $<

clean:
	rm -f $(TARGETS)

.PHONY: all clean

=== t/Makefile ===
#!/usr/bin/make -f

# Author: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

# run these tests to ensure that mod_gnutls can handle a range of
# simple configuration choices.

export TEST_HOST ?= localhost
export TEST_IP ?= ::1
# chosen at random:
export TEST_PORT ?= 9932
export MSVA_PORT ?= 9933

export TEST_GAP ?= 1.5
export TEST_QUERY_DELAY ?= 2

all: setup.done
	./runtests

t-%: setup.done
	./runtests $@





### for setting up a little miniature CA + server + client environment:
identities := server authority client imposter rogueca
tokens := x509.pem secring.gpg secret.key cert.pgp secret.pgp
all_tokens := $(foreach id,$(identities),$(foreach token,$(tokens),$(id)/$(token)))

%.template: %.template.in
	sed s/__HOSTNAME__/$(TEST_HOST)/ < $< > $@

server.uid: server.uid.in
	sed s/__HOSTNAME__/$(TEST_HOST)/ < $< > $@

%/secret.key:
	mkdir -p $(dir $@)
	chmod 0700 $(dir $@)
	certtool --generate-privkey > $@

%/secring.gpg: %.uid %/secret.key
	rm -f $(dir $@)pubring.gpg $(dir $@)secring.gpg $(dir $@)trustdb.gpg
	PEM2OPENPGP_EXPIRATION=86400 PEM2OPENPGP_USAGE_FLAGS=authenticate,certify,sign pem2openpgp "$$(cat $<)" < $(dir $@)secret.key | GNUPGHOME=$(dir $@) gpg --import
	printf "%s:6:\n" "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" | GNUPGHOME=$(dir $@) gpg --import-ownertrust

%/gpg.conf: %/secring.gpg
	printf "default-key %s\n" "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" > $@

%/secret.pgp: %/secring.gpg
	GNUPGHOME=$(dir $@) gpg --armor --batch --no-tty --yes --export-secret-key "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" > $@

%/minimal.pgp: %/secring.gpg
	GNUPGHOME=$(dir $@) gpg --armor --export "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" > $@

%/cert.pgp: %/minimal.pgp authority/gpg.conf
	GNUPGHOME=authority gpg --import $<
	GNUPGHOME=authority gpg --batch --sign-key --no-tty --yes "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)"
	GNUPGHOME=authority gpg --armor --export "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" > $@

# special cases for the authorities' root certs:
authority/x509.pem: authority.template authority/secret.key
	certtool --generate-self-signed --load-privkey=authority/secret.key --template=authority.template > $@
rogueca/x509.pem: rogueca.template rogueca/secret.key
	certtool --generate-self-signed --load-privkey=rogueca/secret.key --template=rogueca.template > $@

%/cert-request: %.template %/secret.key 
	certtool --generate-request --load-privkey=$(dir $@)secret.key --template=$< > $@

%/x509.pem: %.template %/cert-request authority/secret.key authority/x509.pem 
	certtool --generate-certificate --load-ca-certificate=authority/x509.pem --load-ca-privkey=authority/secret.key --load-request=$(dir $@)cert-request --template=$< > $@

msva.gnupghome/trustdb.gpg: authority/minimal.pgp client/cert.pgp
	mkdir -p -m 0700 $(dir $@)
	GNUPGHOME=$(dir $@) gpg --import < $<
	printf "%s:6:\n" "$$(GNUPGHOME=authority gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" | GNUPGHOME=$(dir $@) gpg --import-ownertrust
	GNUPGHOME=$(dir $@) gpg --import < client/cert.pgp
	printf "keyserver does-not-exist.example\n" > msva.gnupghome/gpg.conf


setup.done: $(all_tokens) msva.gnupghome/trustdb.gpg
	mkdir -p logs cache outputs
	touch setup.done


clean:
	rm -rf server client authority logs cache outputs setup.done server.template msva.gnupghome

.PHONY: all clean

## mod h2-2.0.35

=== CMakeLists.txt ===
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Read README.cmake before using this.

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(MOD_HTTP2 C)

INCLUDE(CheckCSourceCompiles)

IF(EXISTS "${NGHTTP2_LIBRARIES}")
  MESSAGE(STATUS "have NGHTTP2_LIBRARIES")
  MESSAGE(STATUS "NGHTTP2_LIBRARIES >${NGHTTP2_LIBRARIES}<")
  SET(default_nghttp2_libraries "${NGHTTP2_LIBRARIES}")
ELSE()
  SET(default_nghttp2_libraries "-lnghttp2")
ENDIF()

IF(EXISTS "${PROXY_LIBRARY}")
  MESSAGE(STATUS "have PROXY_LIBRARY")
  MESSAGE(STATUS "PROXY_LIBRARY >${PROXY_LIBRARY}<")
  SET(default_proxy_libraries "${PROXY_LIBRARY}")
ENDIF()

CHECK_C_SOURCE_COMPILES("#include <sys/types.h>
int main() {
  ssize_t err= -1;
return 1;}" HAS_ssize_t)

INCLUDE_DIRECTORIES(${APR_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${APRUTIL_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${APACHE_INCLUDE_DIR})

SET(mod_http2_extra_includes         ${NGHTTP2_INCLUDE_DIR})
SET(mod_http2_extra_libs             ${default_nghttp2_libraries})

SET(mod_http2_sources
  mod_http2/h2_bucket_beam.c     mod_http2/h2_bucket_eos.c
  mod_http2/h2_c1.c              mod_http2/h2_c1_io.c
  mod_http2/h2_c2.c              mod_http2/h2_c2_filter.c
  mod_http2/h2_config.c          mod_http2/h2_conn_ctx.c
  mod_http2/h2_mplx.c            mod_http2/h2_headers.c
  mod_http2/h2_protocol.c        mod_http2/h2_push.c
  mod_http2/h2_request.c         mod_http2/h2_session.c
  mod_http2/h2_stream.c          mod_http2/h2_switch.c
  mod_http2/h2_util.c            mod_http2/h2_workers.c
  mod_http2/h2_ws.c
)


SET(mod_proxy_http2_extra_includes         ${NGHTTP2_INCLUDE_DIR})
SET(mod_proxy_http2_extra_libs             ${default_nghttp2_libraries} ${default_proxy_libraries})
SET(mod_proxy_http2_extra_sources
  mod_http2/h2_proxy_session.c   mod_http2/h2_proxy_util.c
)

ADD_LIBRARY(mod_http2 MODULE ${mod_http2_sources} mod_http2/mod_http2.c)
SET_TARGET_PROPERTIES(mod_http2 PROPERTIES PREFIX "")
SET_TARGET_PROPERTIES(mod_http2 PROPERTIES SUFFIX ".so")
IF(${HAS_ssize_t})
  MESSAGE(STATUS "have ssize_t")
ELSE()
  SET(mod_http2_extra_defines          ssize_t=long)
  SET_TARGET_PROPERTIES(mod_http2 PROPERTIES COMPILE_DEFINITIONS ${mod_http2_extra_defines})
ENDIF()
target_link_libraries(mod_http2 ${default_nghttp2_libraries} ${APACHE_LIBRARY} ${APRUTIL_LIBRARY} ${APR_LIBRARY})

ADD_LIBRARY(mod_proxy_http2 MODULE ${mod_proxy_http2_extra_sources} mod_http2/mod_proxy_http2.c)
SET_TARGET_PROPERTIES(mod_proxy_http2 PROPERTIES PREFIX "")
SET_TARGET_PROPERTIES(mod_proxy_http2 PROPERTIES SUFFIX ".so")
IF(${HAS_ssize_t})
  MESSAGE(STATUS "have ssize_t")
ELSE()
  SET(mod_proxy_http2_extra_defines    ssize_t=long)
  SET_TARGET_PROPERTIES(mod_proxy_http2 PROPERTIES COMPILE_DEFINITIONS ${mod_proxy_http2_extra_defines})
ENDIF()
target_link_libraries(mod_proxy_http2 ${mod_proxy_http2_extra_libs} ${APACHE_LIBRARY} ${APRUTIL_LIBRARY} ${APR_LIBRARY})

=== test/requirements.txt ===
# -*- coding: utf-8 -*-
# Copyright 2025 Stefan Eissing (https://dev-icing.de)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
pytest
cryptography
filelock
python-multipart
psutil
requests
tqdm
websockets

## mod http2-2.0.37

=== test/clients/Makefile ===
# Makefile.in generated by automake 1.18.1 from Makefile.am.
# test/clients/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2025 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/mod_http2
pkgincludedir = $(includedir)/mod_http2
pkglibdir = $(libdir)/mod_http2
pkglibexecdir = $(libexecdir)/mod_http2
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-apple-darwin24.6.0
host_triplet = x86_64-apple-darwin24.6.0
target_triplet = x86_64-apple-darwin24.6.0
bin_PROGRAMS = h2ws$(EXEEXT)
subdir = test/clients
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_compile_flag.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/mod_http2/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am__objects_1 =
am__objects_2 = h2ws-h2ws.$(OBJEXT)
am_h2ws_OBJECTS = $(am__objects_1) $(am__objects_2)
h2ws_OBJECTS = $(am_h2ws_OBJECTS)
h2ws_LDADD = $(LDADD)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
h2ws_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(h2ws_CFLAGS) $(CFLAGS) \
	$(h2ws_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)/mod_http2
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/h2ws-h2ws.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(h2ws_SOURCES)
DIST_SOURCES = $(h2ws_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/Users/sei/projects/mod_h2/missing' aclocal-1.18
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
APR = 
APR_BINDIR = /opt/apache-2.4.x/bin
APXS = /opt/apache-2.4.x/bin/apxs
AR = ar
AUTOCONF = ${SHELL} '/Users/sei/projects/mod_h2/missing' autoconf
AUTOHEADER = ${SHELL} '/Users/sei/projects/mod_h2/missing' autoheader
AUTOMAKE = ${SHELL} '/Users/sei/projects/mod_h2/missing' automake-1.18
AWK = awk
BUILD_SUBDIRS = mod_http2
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -I/usr/local/Cellar/libnghttp2/1.67.1/include -g -O2 -I/opt/quic/openssl-3.5.4/include
CPPFLAGS = -I/opt/apache-2.4.x/include -I/opt/apache-2.4.x/include -DDARWIN -DSIGPROCMASK_SETS_THREAD_MASK  -I/opt/quic/openssl-3.5.4/include -DH2_NG2_STREAM_API -DH2_NG2_CHANGE_PRIO -DH2_NG2_INVALID_HEADER_CB -DH2_NG2_LOCAL_WIN_SIZE -DH2_NG2_NO_CLOSED_STREAMS -DH2_NG2_RFC9113_STRICTNESS -DH2_OPENSSL
CSCOPE = cscope
CTAGS = ctags
CURL_BIN = /usr/bin/curl
CYGPATH_W = echo
DEBUG_CFLAGS = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSO_MODULES =  mpm_event authn_file authn_dbm authn_anon authn_dbd authn_socache authn_core authz_host authz_groupfile authz_user authz_dbm authz_owner authz_dbd authz_core access_compat auth_basic auth_form auth_digest allowmethods file_cache cache cache_disk cache_socache socache_shmcb socache_dbm socache_memcache watchdog macro dbd bucketeer dumpio case_filter buffer ratelimit reqtimeout ext_filter request include filter substitute sed brotli mime log_config log_debug logio env expires headers unique_id setenvif version remoteip proxy proxy_connect proxy_ftp proxy_http proxy_fcgi proxy_scgi proxy_fdpass proxy_wstunnel proxy_ajp proxy_balancer proxy_express proxy_hcheck session session_cookie session_dbd slotmem_shm ssl http2 proxy_http2 lbmethod_byrequests lbmethod_bytraffic lbmethod_bybusyness lbmethod_heartbeat unixd dav status autoindex info cgid dav_fs vhost_alias negotiation dir actions speling userdir alias rewrite
DSYMUTIL = dsymutil
DUMPBIN = 
ECHO_C = \c
ECHO_N = 
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
GEN_DIR = /Users/sei/projects/mod_h2/test/gen
GREP = /usr/bin/grep
H2LOAD = /usr/local/bin/h2load
HTTPD = /opt/apache-2.4.x/bin/httpd
HTTPD_USER = sei
HTTPD_VERSION = 2.4.66
HTTPS_PORT = 42002
HTTP_PORT = 42001
INSTALL = /usr/local/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/ld
LDFLAGS = -L/opt/apache-2.4.x/lib  -L/opt/quic/openssl-3.5.4/lib
LIBEXEC_DIR = /opt/apache-2.4.x/modules
LIBNGHTTP2_CFLAGS = -I/usr/local/Cellar/libnghttp2/1.67.1/include
LIBNGHTTP2_LIBS = -L/usr/local/Cellar/libnghttp2/1.67.1/lib -lnghttp2
LIBOBJS = 
LIBS = -L/usr/local/Cellar/libnghttp2/1.67.1/lib -lnghttp2  -lcrypto
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = lipo
LN_S = ln -s
LOAD_LOGIO = 
LOAD_LOG_CONFIG = 
LOAD_UNIXD = 
LOAD_VERSION = 
LOAD_WATCHDOG = 
LTLIBOBJS = 
LT_AGE = 6
LT_CURRENT = 11
LT_REVISION = 0
MAKEINFO = ${SHELL} '/Users/sei/projects/mod_h2/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/local/bin/gmkdir -p
MODULE_SRC = /Users/sei/projects/mod_h2/mod_http2
NGHTTP = /usr/local/bin/nghttp
NM = /usr/bin/nm -B
NMEDIT = nmedit
OBJDUMP = objdump
OBJEXT = o
OTOOL = otool
OTOOL64 = :
PACKAGE = mod_http2
PACKAGE_BUGREPORT = stefan@eissing.org
PACKAGE_NAME = mod_http2
PACKAGE_STRING = mod_http2 2.0.37
PACKAGE_TARNAME = mod_http2
PACKAGE_URL = 
PACKAGE_VERSION = 2.0.37
PACKAGE_VERSION_NUM = 0x020025
PATH_SEPARATOR = :
PKGCONFIG = /usr/local/bin/pkg-config
PKG_CONFIG = /usr/local/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
SED = /usr/bin/sed
SERVER_DIR = /Users/sei/projects/mod_h2/test/gen/apache
SET_MAKE = 
SHELL = /bin/sh
STATIC_MODULES =  core so http
STRIP = strip
SYSCONF_DIR = /opt/apache-2.4.x/conf
TEST_DIR = /Users/sei/projects/mod_h2/test
VERSION = 2.0.37
WERROR_CFLAGS =  -Wall -Wextra -Werror -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations -Wpointer-arith -Wformat-security -Wwrite-strings -Wshadow -Winline -Wnested-externs -Wfloat-equal -Wundef -Wendif-labels -Wempty-body -Wvla -Wunreachable-code -Waddress -Wattributes -Wdiv-by-zero -Wshorten-64-to-32 -Wsign-compare -Wno-unused-parameter -std=c89 -Wdeclaration-after-statement -Wnull-dereference -Wdouble-promotion -Wshadow -Wformat=2 -Wno-null-pointer-subtraction -Wno-null-dereference
abs_builddir = /Users/sei/projects/mod_h2/test/clients
abs_srcdir = /Users/sei/projects/mod_h2/test/clients
abs_top_builddir = /Users/sei/projects/mod_h2
abs_top_srcdir = /Users/sei/projects/mod_h2
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__rm_f_notfound = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
am__xargs_n = xargs -n
bindir = ${exec_prefix}/bin
build = x86_64-apple-darwin24.6.0
build_alias = 
build_cpu = x86_64
build_os = darwin24.6.0
build_vendor = apple

## mod jail-0.1

=== Makefile ===
#
# Copyright (c) 2006 Igor Popov <igorpopov@newmail.ru>
#
# $$
#

NAME = jail
APACHE_MODULE = mod_jail.so
APXS = apxs

SRCS = mod_jail.c
OBJS = mod_jail.o

RM = rm -f
LN = ln -sf
CP = cp -f

CFLAGS =  -Wc,-Wall
#CFLAGS += -DNDEBUG
CFLAGS +=  -DDEBUG

LDFLAGS = 

default: all

all: $(APACHE_MODULE)

$(APACHE_MODULE): $(SRCS)
	$(APXS) -c $(CFLAGS) $(LDFLAGS) $(SRCS)

install: all
	$(APXS) -i -a -n $(NAME) $(APACHE_MODULE)

clean:
	$(RM) $(OBJS) $(APACHE_MODULE)

=== FreeBSD/Makefile ===
# New ports collection makefile for:    mod_jail
# Date created:				October 25 2005
# Whom:					Igor Popov <igorpopov@newmail.ru>
#
# $$

PORTNAME=	mod_jail
PORTVERSION=	0.1
CATEGORIES=	www
MASTER_SITES=	http://igorpopov.newmail.ru/
EXTRACT_SUFX=	.tar.gz

MAINTAINER=	igorpopov@newmail.ru
COMMENT=	An Apache module for 

USE_MYSQL=	yes
DOCS=		INSTALL README TODO httpd.conf.add

WANT_APACHE=13
AP_GENPLIST=yes

WRKSRC =${WRKDIR}/${PORTNAME}


.if !defined(NOPORTDOCS)
post-install:
	@${INSTALL} -d -m 0755 ${DOCSDIR}
.for file in ${DOCS}
	@${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}/
.endfor
.endif

.include <bsd.port.mk>

## mod layout-2.8

=== Makefile ===
##
##  Makefile -- Build procedure for mod_layout Apache module
##

#   the used tools
APXS=apxs
APACHECTL=apachectl
VERSION = 2.8
DISTNAME = mod_layout
DISTVNAME = $(DISTNAME)-$(VERSION)

SRC = mod_layout.c utility.c

SHELL = /bin/sh
PERL = perl
NOOP = $(SHELL) -c true
RM_RF = rm -rf
SUFFIX = .gz
COMPRESS = gzip --best
TAR  = tar
TARFLAGS = cvf
PREOP = @$(NOOP)
POSTOP = @$(NOOP)
TO_UNIX = @$(NOOP)

#   additional defines, includes and libraries
#DEF=-DLAYOUT_DEBUG
#INC=-Imy/include/dir
#LIB=-Lmy/lib/dir -lmylib

#   the default target
all: mod_layout.so

#   compile the shared object file
mod_layout.so: $(SRC) Makefile
	$(APXS) -o $@ -c $(DEF) $(INC) $(LIB) $(SRC)

#   install the shared object file into Apache 
install: all
	$(APXS) -i -a -n 'layout' mod_layout.so

#   cleanup
clean:
	-rm -f mod_layout.o utility.o mod_layout.so

#   simple test
test: reload
	lynx http://localhost/

#   install and activate shared object by reloading Apache to
#   force a reload of the shared object file
reload: install stop start

#   the general Apache start/restart/stop
#   procedures
start:
	$(APACHECTL) start
restart:
	$(APACHECTL) restart
stop:
	$(APACHECTL) stop

dist: $(DISTVNAME).tar$(SUFFIX)

$(DISTVNAME).tar$(SUFFIX) : distdir
	$(PREOP)
	$(TO_UNIX)
	$(TAR) $(TARFLAGS) $(DISTVNAME).tar $(DISTVNAME)
	$(RM_RF) $(DISTVNAME)
	$(COMPRESS) $(DISTVNAME).tar
	$(POSTOP)

distdir :
	$(RM_RF) $(DISTVNAME)
	$(PERL) -MExtUtils::Manifest=manicopy,maniread \
	-e "manicopy(maniread(),'$(DISTVNAME)', '$(DIST_CP)');"

## mod layout-3.0.4

=== Makefile ===
--- 
+++ 
@@ -5,11 +5,15 @@
 #   the used tools
 APXS=apxs
 APACHECTL=apachectl
-VERSION = 2.8
+CC=`apxs -q CC`
+INC=-I`apxs -q INCLUDEDIR` `$(APXS) -q CFLAGS`  #-DLAYOUT_FILEOWNER_NAME
+LD_SHLIB=`apxs -q LDFLAGS_SHLIB`
+VERSION = 3.0.4
 DISTNAME = mod_layout
 DISTVNAME = $(DISTNAME)-$(VERSION)
 
-SRC = mod_layout.c utility.c
+SRC = mod_layout.c utility.c origin.c footer.c header.c
+OBJ = mod_layout.o utility.o origin.o footer.o header.o
 
 SHELL = /bin/sh
 PERL = perl
@@ -24,24 +28,39 @@
 TO_UNIX = @$(NOOP)
 
 #   additional defines, includes and libraries
-#DEF=-DLAYOUT_DEBUG
-#INC=-Imy/include/dir
-#LIB=-Lmy/lib/dir -lmylib
+# Apache itself won't compile with it this strict
+#DEF = -Wall -DDEBUG -Wtraditional -Wshadow -Wid-clash-len -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings-Wconversion -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wlong-long -Winline -Werror
+#DEF = -Wall -DDEBUG 
 
 #   the default target
 all: mod_layout.so
 
 #   compile the shared object file
-mod_layout.so: $(SRC) Makefile
-	$(APXS) -o $@ -c $(DEF) $(INC) $(LIB) $(SRC)
+mod_layout.so: $(OBJ)  Makefile
+	$(APXS) -c $(DEF) $(INC) $(LIB) $(OBJ)
 
+mod_layout.o : mod_layout.c
+	$(CC) $(INC) -c mod_layout.c $(DEF) $(LIB)
+
+utility.o : utility.c
+	$(CC) $(INC) -c utility.c $(DEF) $(LIB)
+
+origin.o : origin.c
+	$(CC) $(INC) -c origin.c $(DEF) $(LIB)
+
+footer.o : footer.c
+	$(CC) $(INC) -c footer.c $(DEF) $(LIB)
+
+header.o : header.c
+	$(CC) $(INC) -c header.c $(DEF) $(LIB)
 #   install the shared object file into Apache 
 install: all
+	strip mod_layout.so
 	$(APXS) -i -a -n 'layout' mod_layout.so
 
 #   cleanup
 clean:
-	-rm -f mod_layout.o utility.o mod_layout.so
+	rm -f mod_layout.o mod_layout.so $(OBJ)
 
 #   simple test
 test: reload
@@ -60,7 +79,11 @@
 stop:
 	$(APACHECTL) stop
 
-dist: $(DISTVNAME).tar$(SUFFIX)
+dist: version $(DISTVNAME).tar$(SUFFIX)
+
+version:
+	echo $(VERSION) > VERSION
+	echo "#define VERSION \"$(VERSION)\"" > version.h
 
 $(DISTVNAME).tar$(SUFFIX) : distdir
 	$(PREOP)
@@ -75,5 +98,12 @@
 	$(PERL) -MExtUtils::Manifest=manicopy,maniread \
 	-e "manicopy(maniread(),'$(DISTVNAME)', '$(DIST_CP)');"
 
-
-
+push :
+	if [ -F *.gz ] ; then \
+		rm *.gz; \
+	fi
+	make dist
+	scp *.gz root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/download
+	scp *.gz root@ftp.tangent.org:/export/ftp/pub/apache
+	scp faq.html root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/faqs/mod_layout.html
+	scp directives/*.html root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/faqs/directives/

## mod layout-3.2

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,12 @@
 CC=`apxs -q CC`
 INC=-I`apxs -q INCLUDEDIR` `$(APXS) -q CFLAGS`  #-DLAYOUT_FILEOWNER_NAME
 LD_SHLIB=`apxs -q LDFLAGS_SHLIB`
-VERSION = 3.0.4
+VERSION = 3.2
 DISTNAME = mod_layout
 DISTVNAME = $(DISTNAME)-$(VERSION)
 
-SRC = mod_layout.c utility.c origin.c footer.c header.c
-OBJ = mod_layout.o utility.o origin.o footer.o header.o
+SRC = mod_layout.c utility.c origin.c layout.c 
+OBJ = mod_layout.o utility.o origin.o layout.o 
 
 SHELL = /bin/sh
 PERL = perl
@@ -37,7 +37,7 @@
 
 #   compile the shared object file
 mod_layout.so: $(OBJ)  Makefile
-	$(APXS) -c $(DEF) $(INC) $(LIB) $(OBJ)
+	$(APXS) -c $(LIB) $(OBJ)
 
 mod_layout.o : mod_layout.c
 	$(CC) $(INC) -c mod_layout.c $(DEF) $(LIB)
@@ -48,8 +48,8 @@
 origin.o : origin.c
 	$(CC) $(INC) -c origin.c $(DEF) $(LIB)
 
-footer.o : footer.c
-	$(CC) $(INC) -c footer.c $(DEF) $(LIB)
+layout.o : layout.c
+	$(CC) $(INC) -c layout.c $(DEF) $(LIB)
 
 header.o : header.c
 	$(CC) $(INC) -c header.c $(DEF) $(LIB)
@@ -58,9 +58,14 @@
 	strip mod_layout.so
 	$(APXS) -i -a -n 'layout' mod_layout.so
 
+rpm: #all dist
+	cp $(DISTVNAME).tar$(SUFFIX) /usr/src/redhat/SOURCES
+	rpm -ba mod_layout.spec
+	cp /usr/src/redhat/RPMS/i386/$(DISTVNAME)*.i386.rpm .
+
 #   cleanup
 clean:
-	rm -f mod_layout.o mod_layout.so $(OBJ)
+	rm -f mod_layout.o mod_layout.so $(OBJ) *.gz *rpm
 
 #   simple test
 test: reload
@@ -79,11 +84,12 @@
 stop:
 	$(APACHECTL) stop
 
-dist: version $(DISTVNAME).tar$(SUFFIX)
+dist: version all $(DISTVNAME).tar$(SUFFIX) rpm
 
 version:
 	echo $(VERSION) > VERSION
 	echo "#define VERSION \"$(VERSION)\"" > version.h
+	cat mod_layout.spec | $(PERL) -e 'while (<STDIN>) { push @file, $$_} open(FILE, ">mod_layout.spec"); for(@file) { if (/^Version/) { print FILE "Version: ${VERSION}\n" } else { print FILE $$_}}'
 
 $(DISTVNAME).tar$(SUFFIX) : distdir
 	$(PREOP)
@@ -103,7 +109,9 @@
 		rm *.gz; \
 	fi
 	make dist
-	scp *.gz root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/download
-	scp *.gz root@ftp.tangent.org:/export/ftp/pub/apache
+	scp $(DISTVNAME).tar$(SUFFIX) root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/download
+	scp $(DISTVNAME).tar$(SUFFIX) root@ftp.tangent.org:/var/ftp/pub/apache
+	scp $(DISTVNAME)*.i386.rpm root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/download
+	scp $(DISTVNAME)*i386.rpm root@ftp.tangent.org:/var/ftp/pub/apache
 	scp faq.html root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/faqs/mod_layout.html
 	scp directives/*.html root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/faqs/directives/

## mod layout-3.4

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,10 @@
 #   the used tools
 APXS=apxs
 APACHECTL=apachectl
-CC=`apxs -q CC`
-INC=-I`apxs -q INCLUDEDIR` `$(APXS) -q CFLAGS`  #-DLAYOUT_FILEOWNER_NAME
-LD_SHLIB=`apxs -q LDFLAGS_SHLIB`
-VERSION = 3.2
+CC=`$(APXS) -q CC`
+INC=-I`$(APXS) -q INCLUDEDIR` `$(APXS) -q CFLAGS`  #-DLAYOUT_FILEOWNER_NAME
+LD_SHLIB=`$(APXS) -q LDFLAGS_SHLIB`
+VERSION = 3.4
 DISTNAME = mod_layout
 DISTVNAME = $(DISTNAME)-$(VERSION)
 
@@ -30,13 +30,13 @@
 #   additional defines, includes and libraries
 # Apache itself won't compile with it this strict
 #DEF = -Wall -DDEBUG -Wtraditional -Wshadow -Wid-clash-len -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings-Wconversion -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wlong-long -Winline -Werror
-#DEF = -Wall -DDEBUG 
+DEF = -Wall
 
 #   the default target
 all: mod_layout.so
 
 #   compile the shared object file
-mod_layout.so: $(OBJ)  Makefile
+mod_layout.so: $(OBJ)  Makefile mod_layout.h
 	$(APXS) -c $(LIB) $(OBJ)
 
 mod_layout.o : mod_layout.c
@@ -62,6 +62,7 @@
 	cp $(DISTVNAME).tar$(SUFFIX) /usr/src/redhat/SOURCES
 	rpm -ba mod_layout.spec
 	cp /usr/src/redhat/RPMS/i386/$(DISTVNAME)*.i386.rpm .
+	cp /usr/src/redhat/SRPMS/$(DISTVNAME)*.src.rpm .
 
 #   cleanup
 clean:

## mod layout-4.0.2a

=== Makefile ===
##
##  Makefile -- Build procedure for mod_layout Apache module
##
builddir=$(shell pwd)
top_srcdir=/usr/local/apache2
top_builddir=/usr/local/apache2
include /usr/local/apache2/build/special.mk

#   the used tools
APXS=apxs
APACHECTL=apachectl
CC=`$(APXS) -q CC`
INC=-I`$(APXS) -q INCLUDEDIR` `$(APXS) -q CFLAGS`  #-DLAYOUT_FILEOWNER_NAME
LD_SHLIB=`apxs -q LDFLAGS_SHLIB`
VERSION = 4.0.2a
DISTNAME = mod_layout
DISTVNAME = $(DISTNAME)-$(VERSION)

SRC = mod_layout.c utility.c layout.c
OBJ = ${SRC:.c=.o}
SOBJ = ${SRC:.c=.lo}

SHELL = /bin/sh
PERL = perl
NOOP = $(SHELL) -c true
RM_RF = rm -rf
SUFFIX = .gz
COMPRESS = gzip --best
TAR  = tar
TARFLAGS = cvf
PREOP = @$(NOOP)
POSTOP = @$(NOOP)
TO_UNIX = @$(NOOP)

#   additional defines, includes and libraries
# Apache itself won't compile with it this strict
#DEF = -Wall -DDEBUG -Wtraditional -Wshadow -Wid-clash-len -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings-Wconversion -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wlong-long -Winline -Werror
#DEF = -Wall -DDEBUG 

#   the default target
all: mod_layout.so

#   compile the shared object file
#mod_layout.so: $(OBJ)  Makefile
mod_layout.so: $(SRC)
	$(APXS) -c $(INCLUDES) $(LIBS) $(SRC)

mod_layout.o : mod_layout.c
	$(APXS) -c mod_layout.c 

utility.o : utility.c
	$(APXS) -c utility.c

origin.o : origin.c
	$(APXS) -c origin.c

layout.o : layout.c
	$(APXS) -c layout.c

header.o : header.c
	$(APXS) -c header.c
#   install the shared object file into Apache 
install: 
	$(APXS) -iac $(INCLUDES) $(LIBS) $(SRC)
	@echo "+--------------------------------------------------------+"; \
	echo "| All done.                                              |"; \
	echo "|                                                        |"; \
	echo "| Thanks for installing mod_layout.                      |"; \
	echo "+--------------------------------------------------------+"; \

rpm: dist
	cp $(DISTVNAME).tar$(SUFFIX) /usr/src/redhat/SOURCES
	rpmbuild -ba mod_layout.spec
	cp /usr/src/redhat/RPMS/i386/$(DISTVNAME)*.i386.rpm .

#   cleanup
clean:
	rm -f mod_layout.o mod_layout.so $(OBJ) *.gz *rpm

#   install and activate shared object by reloading Apache to
#   force a reload of the shared object file
reload: install stop start

#   the general Apache start/restart/stop
#   procedures
start:
	$(APACHECTL) start
restart:
	$(APACHECTL) restart
stop:
	$(APACHECTL) stop

dist: version all $(DISTVNAME).tar$(SUFFIX) #rpm

version:
	echo $(VERSION) > VERSION
	echo "#define VERSION \"$(VERSION)\"" > version.h
#	cat mod_layout.spec | $(PERL) -e 'while (<STDIN>) { push @file, $$_} open(FILE, ">mod_layout.spec"); for(@file) { if (/^Version/) { print FILE "Version: ${VERSION}\n" } else { print FILE $$_}}'

$(DISTVNAME).tar$(SUFFIX) : distdir
	$(PREOP)
	$(TO_UNIX)
	$(TAR) $(TARFLAGS) $(DISTVNAME).tar $(DISTVNAME)
	$(RM_RF) $(DISTVNAME)
	$(COMPRESS) $(DISTVNAME).tar
	$(POSTOP)

distdir :
	$(RM_RF) $(DISTVNAME)
	$(PERL) -MExtUtils::Manifest=manicopy,maniread \
	-e "manicopy(maniread(),'$(DISTVNAME)', '$(DIST_CP)');"

push :
	if [ -F *.gz ] ; then \
		rm *.gz; \
	fi
	make dist
	scp $(DISTVNAME).tar$(SUFFIX) root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/download
	scp $(DISTVNAME).tar$(SUFFIX) root@ftp.tangent.org:/var/ftp/pub/apache
	scp $(DISTVNAME)*.i386.rpm root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/download
	scp $(DISTVNAME)*i386.rpm root@ftp.tangent.org:/var/ftp/pub/apache
#	scp faq.html root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/faqs/mod_layout.html
#	scp directives/*.html root@www.tangent.org:/usr/local/slash/site/www.tangent.org/htdocs/faqs/directives/
